import * as React from "react";
import {observer} from "mobx-react-lite";
import {ButtonField} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {DevicesOther} from '@material-ui/icons';
import {doLogout} from "@rx-suite/stores";

export const SignOutFromAllButton: React.FunctionComponent = observer(() => {
    return (
        <ButtonField text={t`Sign Out Of All Devices`} startIcon={<DevicesOther/>} onClick={() => doLogout(true)}/>
    )
});